Skip to content

Get topic media

GET
/topics/{id}/media

Retrieve media content (articles, tweets, primary sources) for a specific topic

Authorizations

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

Type
API Key (header: X-CP-TERMINAL-API-KEY)

Parameters

Path Parameters

id*

Topic ID

Type
integer
Required
Example123

Query Parameters

lang

Language code

Type
string
Valid values
"en""ja""zh"
Example"en"
Default
"en"

Responses

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": {
  
  
"primary_sources": [
  
  
  
{
  
  
  
  
"id": 1,
  
  
  
  
"topic_id": 123,
  
  
  
  
"url": "https://example.com/source",
  
  
  
  
"title": "Source Title",
  
  
  
  
"summary": "Source Summary",
  
  
  
  
"published_at": "2024-06-01T12:00:00Z",
  
  
  
  
"site_name": "Example Site"
  
  
  
}
  
  
],
  
  
"articles": [
  
  
  
{
  
  
  
  
"id": 1,
  
  
  
  
"topic_id": 123,
  
  
  
  
"entry_url": "https://example.com/article",
  
  
  
  
"title": "Article Title",
  
  
  
  
"published_at": "2024-06-01T12:00:00Z"
  
  
  
}
  
  
],
  
  
"tweets": [
  
  
  
{
  
  
  
  
"id": 2,
  
  
  
  
"topic_id": 123,
  
  
  
  
"entry_url": "https://example.com/tweet",
  
  
  
  
"summary": "Tweet Summary",
  
  
  
  
"published_at": "2024-06-01T12:00:00Z"
  
  
  
}
  
  
]
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI